Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.cfg
Class PropertyDescriptor

    java.lang.Object
      org.hibernate.search.cfg.PropertyDescriptor

    public class PropertyDescriptor

extends java.lang.Object

Author:
  Emmanuel Bernard

Constructor Summary
`PropertyDescriptor(java.lang.String name, java.lang.annotation.ElementType type)`

Method Summary
`void` | `addField(java.util.Map<java.lang.String,java.lang.Object> field)`
`java.util.Map<java.lang.String,java.lang.Object>` | `getAnalyzerDiscriminator()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getCalendarBridge()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getContainedIn()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getDateBridge()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getDocumentId()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getDynamicBoost()`
`java.util.Collection<java.util.Map<java.lang.String,java.lang.Object>>` | `getFields()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getIndexEmbedded()`
`void` | `setAnalyzerDiscriminator(java.util.Map<java.lang.String,java.lang.Object> analyzerDiscriminator)`
`void` | `setCalendarBridge(java.util.Map<java.lang.String,java.lang.Object> calendarBridge)`
`void` | `setContainedIn(java.util.Map<java.lang.String,java.lang.Object> containedIn)`
`void` | `setDateBridge(java.util.Map<java.lang.String,java.lang.Object> dateBridge)`
`void` | `setDocumentId(java.util.Map<java.lang.String,java.lang.Object> documentId)`
`void` | `setDynamicBoost(java.util.Map<java.lang.String,java.lang.Object> dynamicBoostAnn)`
`void` | `setIndexEmbedded(java.util.Map<java.lang.String,java.lang.Object> indexEmbedded)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyDescriptor

    public PropertyDescriptor(java.lang.String name,
                              java.lang.annotation.ElementType type)

Method Detail

### setDocumentId

    public void setDocumentId(java.util.Map<java.lang.String,java.lang.Object> documentId)

### addField

    public void addField(java.util.Map<java.lang.String,java.lang.Object> field)

### setDateBridge

    public void setDateBridge(java.util.Map<java.lang.String,java.lang.Object> dateBridge)

### setCalendarBridge

    public void setCalendarBridge(java.util.Map<java.lang.String,java.lang.Object> calendarBridge)

### getFields

    public java.util.Collection<java.util.Map<java.lang.String,java.lang.Object>> getFields()

### getDocumentId

    public java.util.Map<java.lang.String,java.lang.Object> getDocumentId()

### getAnalyzerDiscriminator

    public java.util.Map<java.lang.String,java.lang.Object> getAnalyzerDiscriminator()

### getDateBridge

    public java.util.Map<java.lang.String,java.lang.Object> getDateBridge()

### getCalendarBridge

    public java.util.Map<java.lang.String,java.lang.Object> getCalendarBridge()

### setAnalyzerDiscriminator

    public void setAnalyzerDiscriminator(java.util.Map<java.lang.String,java.lang.Object> analyzerDiscriminator)

### getIndexEmbedded

    public java.util.Map<java.lang.String,java.lang.Object> getIndexEmbedded()

### setIndexEmbedded

    public void setIndexEmbedded(java.util.Map<java.lang.String,java.lang.Object> indexEmbedded)

### getContainedIn

    public java.util.Map<java.lang.String,java.lang.Object> getContainedIn()

### setContainedIn

    public void setContainedIn(java.util.Map<java.lang.String,java.lang.Object> containedIn)

### setDynamicBoost

    public void setDynamicBoost(java.util.Map<java.lang.String,java.lang.Object> dynamicBoostAnn)

### getDynamicBoost

    public java.util.Map<java.lang.String,java.lang.Object> getDynamicBoost()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.